Subject: Re: pap, pfs, and repreating printjobs

From: [email-masked] (Anthony Koller)
Date: Fri, 19 Nov 93 09:38:29 GMT

I have had a similar problem here. I think I managed to reduce the number
of times the problem occurred. I found that if you have "sh" set in
/etc/printcap to suppress the burst page header, ofpap still gets called
from the printing process to produce the banner page but does nothing as 
requested! Deleting the "of=..." line sorts this out.

Incidentally I sent a note about this problem in June, when running
netatalk-1.2.1 - now running netatalk-1.3b2

But the problem still occurs occasionally!

> 
> I have a Laserjet IVsi with Ethertalk interface, and a bunch of Sparcs
> (SunOS 4.1.3) of which one is an lpd server for the HP.  Printing is 
> done with pap & psf from netatalk-1.3b2.  Every now and then, under
> circumstances I have not been able to isolate, a job "re-appears" in
> the queue shortly after having successfully printed, and the gets
> printed repeatedly until someone notices and kills the queue.  I have
> been told that this behavior has been seen in cases where a filter
> returns an incorrect result code, so pap and/or psf seems a likely
> culprit.
> 
> Has anyone else seen this behavior?  There isn't anything useful in
> the error logs... how can I get more information on what pap/psf are
> doing?
> 
> --
> Jurgen Botz, [email-masked] | ``Accountability is the price of openness''
> South Hadley, MA, USA            | - Daniel Geer
> 
> 

Regards

Anthony Koller
Philips ACE
Freeland House, Station Road
Dorking, Surrey RH4 1UL, England     Email : [email-masked]
Voice : +44 306 875777               Seri  : ukrkoll@prlhp0
Fax   : +44 306 875779               Profs : prlhp0(ukrkoll)